package com.mobvista.apptag.entity;

import com.gitee.sunchenbin.mybatis.actable.annotation.Column;
import com.gitee.sunchenbin.mybatis.actable.annotation.Table;
import com.gitee.sunchenbin.mybatis.actable.constants.MySqlTypeConstant;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangjf
 */
@Table(name = "tree_tag_list")
public class TreeTag implements Serializable {

    private static final long serialVersionUID = -1507448849738387249L;
    // APP 包名
    @Column(name = "package_name", type = MySqlTypeConstant.VARCHAR, isNull = false)
    private String packageName;
    // 平台类型
    @Column(name = "platform", type = MySqlTypeConstant.VARCHAR, length = 10)
    private String platform;
    // 一级标签
    @Column(name = "first_tag", type = MySqlTypeConstant.VARCHAR)
    private String firstTag;
    // 二级标签
    @Column(name = "second_tag", type = MySqlTypeConstant.VARCHAR)
    private String secondTag;
    // 三级标签
    @Column(name = "third_tag", type = MySqlTypeConstant.VARCHAR)
    private String thirdTag;
    // 入库时间
    @Column(name = "update_time", type = MySqlTypeConstant.DATETIME)
    private Date updateTime;

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getFirstTag() {
        return firstTag;
    }

    public void setFirstTag(String firstTag) {
        this.firstTag = firstTag;
    }

    public String getSecondTag() {
        return secondTag;
    }

    public void setSecondTag(String secondTag) {
        this.secondTag = secondTag;
    }

    public String getThirdTag() {
        return thirdTag;
    }

    public void setThirdTag(String thirdTag) {
        this.thirdTag = thirdTag;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}